PAN Verification Plus V1

Take PAN verification to the next level with Instantpay's PAN Verification Plus API. This advanced tool authenticates PAN details and enriches your customer database with additional data points such as address, date of birth, gender, etc, providing a more comprehensive understanding of your clients.

Improve the depth of your due diligence processes by leveraging Instantpay's PAN Verification Plus API solutions, an essential component for businesses seeking a more thorough and detailed approach to identity verification.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
panStringMandatoryPAN Number
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude
externalRefStringMandatoryYour Unique Transaction id
consentStringMandatoryConsent should be
accepted by
customer

Sample Request

curl --location 'https://api.instantpay.in/identity/verifyPanPlus' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
    "pan":"AAOCS6028B",
    "consent":"Y",
    "latitude":0.99,
    "longitude":38,
    "externalRef":"jdnjdi89"
}'
POST /identity/verifyPanPlus HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: xxxxxxxxxxxxxxxx
X-Ipay-Client-Secret: xxxxxxxxxxxxxxxx
X-Ipay-Endpoint-Ip: xxxxxxxxxxxxxx
Content-Type: application/json
Content-Length: 116

{
    "pan":"AAOCS6028B",
    "consent":"Y",
    "latitude":0.99,
    "longitude":38,
    "externalRef":"jdnjdi89"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "externalRef": "RRRD2hhdhDRR",
        "poolReferenceId": "1251113140407MJHPW",
        "txnReferenceId": "7149431b-22d3-4cfb-8af6-a1c282ca6263",
        "pool": {
            "account": "9835799007",
            "openingBal": "0.47",
            "mode": "DR",
            "amount": "0.00",
            "closingBal": "0.47"
        },
        "panPlusData": {
            "panNumber": "BGDPC9781L",
            "userFullName": "ANKUR CHOUDHARY",
            "userFullNameSplit": [
                "ANKUR",
                "",
                "CHOUDHARY"
            ],
            "maskedAadhaar": "XXX",
            "userAddress": {
                "line1": "XX",
                "line2": "XXX",
                "streetName": "Gautam Buddha Nagar",
                "zip": "201301",
                "city": "GAUTAM BUDDHA NAGAR",
                "state": "Uttar Pradesh",
                "country": "India",
                "full": "XXX Gautam Buddha Nagar, GAUTAM BUDDHA NAGAR, Uttar Pradesh, India, 201301"
            },
            "userGender": "M",
            "userDob": "XX7",
            "aadhaarLinkedStatus": true,
            "panType": "Person",
        }
    },
    "timestamp": "2025-11-13 14:04:09",
    "ipay_uuid": "h000a058930d-391f-4851-9985-39bfd2a479bc-utd6fE4NiGj3",
    "orderid": "1251113140407MJHPW",
    "environment": "LIVE",
    "internalCode": "Transaction Successful"
}
Body Params
string

udyamNumber

string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

string
Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json